#
# Primer konfiguracije API servera
# Ovu datoteku treba preimenovati u api_server.ini
#


#
# Podesavanja verzija API-ja. Default verzija je ona koja se pokrece ako klijent nije
# naveo koju verziju zeli da pokrene. Na osnovu ovoga se izracunava putanja do root-a
# verzije i ona pokreće. Za nalazenje verzije se prvo koristi cela oznaka verzije a 
# ako ona ne postoji onda se trazi direktorijum za celobrojni deo verzije.
#
# Ako potoji potreba da se za određenu verziju koristi neki poseban direktorijum, 
# umesto da se izračunava iz oznake verzije, onda se za tu konkretnu verziju ili 
# celobrojni deo verzije može posebno podesiti direktorijum gde se ona nalazi.
# Navodi se relativna putanja od root-a InfoAPI-ja
#
#
[versions]
DEFAULT = "1.2"
#v0 = "api-v0"
#v1 = "api-v1"
#v1.2 = "api-temp"


#
# opsta podesavanja API-ja za port 31000
#
[main]

# disk na kome se nalazi Info program
APP_DISK = "C:"

# Folder sa korisnickom metadata bazom. Koristi se samo u testiranju. Ne podesavati kod korisnika
#METADATA_DIR = ""

# ako klijent nije naveo poslovnu godinu uzima se ova
# ako ni ovaj parametar nije naveden onda se uzima godina iz tekuceg datuma
# koristiti samo za testiranje i ako je neophodno da se forsira poslovna godina
#DEFAULT_POSLOVNA_GODINA = "2014"

#EXECUTION_TIMEOUT = 900


# da li je kontrolni kod na upitu obavezan. 
# Default je true - ceksum nije obavezan ali ako postoji bice proveren
# Kod koriniska ovo iskljuciti samo ako je bas neophodno jer klijent ne
# salje ceksum i nema mogucnosti da se napravi da salje.
CHECKSUM_REQUIRED = true

# da li je se proveravaju kontrolni kodovi na upitu i odgovoru 
# Default je false - ceksum treba raditi
# OVO NIKADA NE TREBA UKLJUCIVATI KOD KORISNIKA
CHECKSUM_DISABLED = false



# opsta podesavanja API-ja za port 31001
#
[port31001]
APP_DISK = "P:"
#DEFAULT_POSLOVNA_GODINA = "2014"


#
# podesavanja sesija
#
[sessions]

# vreme neaktivnosti u minutima nakon koga se sesija zatvara
SESSION_EXPIRE = 10

# da li korisnik sme da bude ulogovan samo jednom
SINGLE_USER_LOGIN = true

#
# podeavanja JSON formatiranja
#
[json]

# da li se iz JSON stringa izbacuju kolone koje su prazne
REMOVE_EMPTY_TABLE_FIELDS = true
# da li se iz JSON stringa izbacuju propertiji koji su prazni
REMOVE_EMPTY_PROPERTIES = true
#
# podesavanja logovanja konekcija
#
[logging]

# da li se kreiraju *.log datoteke
CREATE_LOG = true

# putanja do direktorijuma gde se snimaju log datoteke (relativno u odnosu na direktorijum API servera)
# ili na apsolutnu putanju
LOGGING_PATH = 'log'


#
# podesavanja za debug. debug log se snima u DEBUG_PATH direktorijum u 
# poddirektorijume po datumu u datoteku *_dbg.txt
#
[debug]

# nivo logovanja (0 - iskljuceno)
DEBUG_LEVEL = 0

# lista sekcija za logovanje odvojene zarezom
DEBUG_SECTIONS = ""

# da li se log ispisuje u na foxpro konzolu
DEBUG_TO_CONSOLE = true

# da li se debug log zapisan u datoteku brise svaki put kada se pokrene API funkcija
RESET_LOG = true

# direktorijum u koji se snima debug log (relativno u odnosu na direktorijum API servera)
# ili na apsolutnu putanju
DEBUG_PATH = "log"

# da li se log automatski snima u datoteku na svaki upis u log
AUTO_WRITE = false

# da li se query i reponse JSON snimaju u log direktorijum naveden u WRITE_JSON_TARGET
WRITE_JSON = false

# odrediste za snimanje JSON
# - ako je vrednost SESSION json se snima u direktorijum sesije
# - svaka druga vrednost je ime direktorijuma (relativno u odnosu na direktorijum API servera)
#   ili na apsolutnu putanju
WRITE_JSON_TARGET = 'log'


# sacuvaj okruzenje uz debug podatke
WRITE_ENVIRONMENT = false



#
# razna podesavanja
#
[misc]

# da li prikazivati gresku ako klijent trazi stranicenje, a funkcija ga ne uradi
EXCEPT_ON_MISSING_PAGING = true

# da li pakovanje i raspakivanje ZIPDBF raditi sa VFPCOMPRESSION.FLL
ZIP_USING_VFPCOMPRESSIONFLL = false


#
# Podesavanja upozorenja na greske
#
[error_alert]
# period u kojem se broje greske (u minutima), default 60
#EXPIRATION = 60

# broj gresaka koje okidaju slanje upozorenja, default 100
#TRIGGER_COUNT = 100

# imejl adresa primaoca upozorenja. mogu se upisati i vise adresa odvojenih zarezom
RECIPIENT=username@domain.com

